package ${basePackage}.module.system.mgr;

import ${basePackage}.frame.auth.Token;
import ${basePackage}.module.system.req.SequenceFindRequest;
import ${basePackage}.module.system.req.SequenceNextRequest;
import ${basePackage}.module.system.rsp.SequenceFindResponse;
import ${basePackage}.module.system.rsp.SequenceNextResponse;

/**
 * 序列
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-25
 */
public interface SequenceManager {

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    SequenceFindResponse find(SequenceFindRequest request, Token token);

    /**
     * 获得对象
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    SequenceNextResponse next(SequenceNextRequest request, Token token);
}
